Subject: Re: netconf notes and materials

From: Rick Jones <[email-masked]>
Date: Fri, 09 Oct 2009 16:35:06 -0700

Peter P Waskiewicz Jr wrote:
> On Fri, 2009-10-09 at 14:51 -0700, David Miller wrote:
> 
>>From: Bill Fink <[email-masked]>
>>Date: Fri, 9 Oct 2009 17:49:49 -0400
>>
>>
>>>How did you do the NUMA memory performance monitoring that was
>>>presented on one of your slides?
>>
>>Using proprietary internal tools Intel is unlikely to release.
>>
>>On the bright side, some of those metrics will make their way into the
>>'perf' facilities in the kernel so they can be monitored, but not all
>>of them.
> 
> 
> Yes, they are tools written by our CPU and chipset teams to assist in
> debug.  To reinforce what David just said, I know Jesse Barnes is
> working hard with the Intel powers-that-be to get the "approved" public
> PMU counters into the perf utility.  I'd imagine the PMU counters for
> IOH memory throughput will be deemed ok, since it's not uncovering any
> IP.
> 
> If I hear anything about any of the performance counters, I'll be sure
> to forward that on.

 From the standpoint of I/O, anything that might enable a port of:

http://pcitop.berlios.de/

would be goodness.

rick jones